package com.sheep.gamegroup.view.activity;

import android.support.v4.view.ViewPager;
import android.view.View;

import com.sheep.gamegroup.absBase.BaseActivity;
import com.sheep.gamegroup.util.Jump2View;
import com.sheep.gamegroup.view.fragment.FgtWelfareCenter;
import com.sheep.jiuyan.samllsheep.R;
import com.sheep.jiuyan.samllsheep.utils.TitleBarUtils;

import butterknife.BindView;

/**
 * Created by realicing on 2018/8/29.
 * realicing@sina.com
 */
public class ActGameCenter extends BaseActivity {
    @BindView(R.id.act_game_center_vp)
    ViewPager act_game_center_vp;
    @Override
    protected int getLayoutId() {
        return R.layout.act_game_center;
    }
    private ActGameCenter activity;
    @Override
    public void initView() {
        activity = this;
        TitleBarUtils.getInstance()
                .setTitleFinish(activity)
                .setRightBotton(activity, "我的福利", 0, new View.OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        // 进入我的福利界面
                        Jump2View.getInstance().goMyWelfare(activity);
                    }
                })
                .addTabs(activity, act_game_center_vp,"玩转游戏", new FgtWelfareCenter(), "福利中心", new FgtWelfareCenter());

    }

    @Override
    public void initListener() {

    }

    @Override
    public void initData() {

    }
}
